org.apache.fop.render.intermediate

## Class DelegatingFragmentContentHandler

- java.lang.Object
- - org.apache.fop.util.DelegatingContentHandler
  - - org.apache.fop.render.intermediate.DelegatingFragmentContentHandler

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler

      public class DelegatingFragmentContentHandler
      extends DelegatingContentHandler

  This class is a `DelegatingContentHandler` subclass which swallows the `startDocument()` and `endDocument()` methods. This is useful for handling XML fragments.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingFragmentContentHandler(org.xml.sax.ContentHandler delegate)` Main constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endDocument()`
    `void` | `startDocument()`

    - ### Methods inherited from class org.apache.fop.util.DelegatingContentHandler

      `characters, comment, endCDATA, endDTD, endElement, endEntity, endPrefixMapping, error, fatalError, getDelegateContentHandler, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDelegateContentHandler, setDelegateDTDHandler, setDelegateEntityResolver, setDelegateErrorHandler, setDelegateLexicalHandler, setDocumentLocator, skippedEntity, startCDATA, startDTD, startElement, startEntity, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatingFragmentContentHandler

          public DelegatingFragmentContentHandler(org.xml.sax.ContentHandler delegate)

      Main constructor
      Parameters:
        `delegate` - the content handler to delegate the SAX events to

  - ### Method Detail

    - #### startDocument

          public void startDocument()
                             throws org.xml.sax.SAXException

      Specified by:
        `startDocument` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `startDocument` in class `DelegatingContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endDocument

          public void endDocument()
                           throws org.xml.sax.SAXException

      Specified by:
        `endDocument` in interface `org.xml.sax.ContentHandler`
      Overrides:
        `endDocument` in class `DelegatingContentHandler`
      Throws:
        `org.xml.sax.SAXException`

Copyright 1999-2021 The Apache Software Foundation. All Rights Reserved.